import ink.wgink.module.file.media.manager.MediaManager;
import ink.wgink.module.file.media.manager.domain.VideoMetaInfo;
import org.junit.Test;

import java.io.BufferedReader;
import java.io.File;
import java.io.InputStreamReader;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: MediaTest
 * @Description:
 * @Author: WangGeng
 * @Date: 2021/6/7 22:37
 * @Version: 1.0
 **/
public class MediaTest {

    @Test
    public void t1() {
        File videoFile = new File("I:\\电视剧\\神探狄仁杰\\第一部\\神探狄仁杰-01.mp4");
//        File frameFile = new File("C:\\Users\\wenc0\\Desktop\\UploadFiles\\frame.gif");
//        MediaComponent.cutVideoFrame(videoFile, frameFile);
        MediaManager.getInstance().setFFmpegPath("D:\\ffmpeg-4.4-full_build\\ffmpeg-4.4-full_build\\bin\\ffmpeg.exe");
        VideoMetaInfo videoMetaInfo = MediaManager.getInstance().getVideoMetaInfo(videoFile);
        System.out.println(videoMetaInfo);
    }

    @Test
    public void t2() throws Exception {
        Process process = Runtime.getRuntime().exec("node -v");
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(process.getInputStream(), "GBK"));
        new Thread(() -> {
            try {
                for (String line; (line = bufferedReader.readLine()) != null; ) {
                    System.out.println(line);
                }
                bufferedReader.close();
            } catch (Exception e) {}
        }).start();
        process.waitFor();
        process.destroy();
    }


}
